View Issue Details

IDProjectCategoryView StatusLast Update
0001003XdebugFeature/Change requestpublic2015-02-22 14:30
ReporterakrabatAssigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.2.3 
Target VersionFixed in Version2.3.0 
Summary0001003: Add option to xdebug_print_function_stack() to suppress filename and line number
DescriptionIt would be helpful if I could get xdebug_print_function_stack($string) simply printed $string into the orange box without adding the file name and line number.

I use xdebug_print_function_stack() within an error handler and so that information is not required.
TagsNo tags attached.
Operating System
PHP Version5.4.15-5.4.20

Activities

derick

2013-12-09 18:30

administrator   ~0002645

Fixed issue 0001003: Add option to xdebug_print_function_stack() to suppress filename and line number.
    
    You can now as second parameter to xdebug_print_function_stack() pass
    XDEBUG_STACK_NO_DESC to avoid the first line.

Issue History

Date Modified Username Field Change
2013-11-13 17:30 akrabat New Issue
2013-12-09 18:30 derick Note Added: 0002645
2013-12-09 18:30 derick Status new => closed
2013-12-09 18:30 derick Assigned To => derick
2013-12-09 18:30 derick Resolution open => fixed
2013-12-09 18:30 derick Fixed in Version => 2.3dev
2015-02-22 14:30 derick Fixed in Version 2.3dev => 2.3.0